package com.its.vms.dao.mapper;

import com.its.vms.entity.TbVmsSymbIfsc;
import com.its.vms.entity.TbVmsSymbLib;
import com.its.vms.entity.TbVmsSymbLibDnld;
import com.its.vms.entity.VmsScheduleSymb;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VmsSymbMapper {

    List<TbVmsSymbLib> selectVmsSymbLib();
    List<TbVmsSymbIfsc> selectVmsSymbCellInfo();

    List<TbVmsSymbLibDnld> selectVmsSymbLibDnld();
    int updateVmsSymbLibDnld(@Param("obj") TbVmsSymbLibDnld obj);
    List<VmsScheduleSymb> selectVmsScheSymbLib();

}
